[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TFontDialog.ApplyClicked

Performs actions needed when a font is selected using the dialog.

## Declaration

Source position: dialogs.pp line 444

`public procedure TFontDialog.ApplyClicked; virtual;`

## Description

ApplyClicked is a used to perform actions needed when a font is applied using the Apply button in the dialog. The Apply button is made visible by a setting in Options, and must be enabled; the default buttons are Ok and Cancel.

ApplyClicked signals the OnApplyClicked event handler (when assigned).

Remark: | Widgetset classes in the current LCL implementaion do not call ApplyClicked; they signal the OnApplyClicked event handler directly.

## See also

TFontDialog.OnApplyClicked |  | Event handler signalled when the Apply button is clicked in the font dialogs.
TFontDialog.Options |  | A set of TFontDialogOption options enabled for the dialog.